function color = norms(normVect)
 
    referenceVect = [0 0 1];
%     centroid = [normVect(1) normVect(2) normVect(3)];
    normal = [normVect(4) normVect(5) -normVect(6)];
    %we just want a unit vector
%     magnitude = normal/norm(normal);
%     quiver3(centroid(1),centroid(2),centroid(3), ... 
%                                 magnitude(1),magnitude(2),magnitude(3))
                            
    dProd = dot(referenceVect,normal);
    dMag = norm(normal)*norm(referenceVect);
    theta = acosd(dProd/dMag);                            
    
    if(theta >= 0 && theta < 10/240)
        color = [0 204 0]/255;
        
    elseif(theta >= 10/240 && theta < 20/240)
       color = [0 255 0]/255;
       
    elseif(theta >= 20/240 && theta < 30/240)
        color = [51 255 0]/255;
        
    elseif(theta >= 30/240 && theta < 40/240)
       color = [102 255 0]/255;
       
    elseif(theta >= 40/240 && theta < 50/240)
        color = [204 255 0]/255;
        
    elseif(theta >= 50/240 && theta < 60/240)
       color = [255 255 0]/255;
       
    elseif(theta >= 60/240 && theta < 70/240)
        color = [255 102 0]/255;
       
    elseif(theta >= 70/240 && theta < 80/240)
       color = [255 51 0]/255;
       
    elseif(theta >= 80/240 && theta < 90/240)
        color = [255 0 0]/255;    
        
    elseif(theta > 90/240)
        color = [0 0 0]/255;
    end
             


end