clf
figure(1);
hold on

X = [1 2 2 1];
Y = [1 1 2 2];
Z = [2 2 2 2];


Vertical = [X(1) Y(1) Z(1)] - [X(4) Y(4) Z(4)];
Horizontal = [X(1) Y(1) Z(1)] - [X(2) Y(2) Z(2)];
centroid = [((X(1) + X(2))/2) ((Y(1) + Y(3))/2) mean(Z)];
normal = cross(Vertical,Horizontal);
magnitude = normal/norm(normal);
magnitude(3) = -magnitude(3);
normal(3) = -normal(3);

dProd = dot(referenceVect,normal);
dMag = norm(normal)*norm(referenceVect);
theta = acosd(dProd/dMag);

if(theta >= 0 && theta < 15)
    color = [0 1 0];
end

patch(X,Y,-Z,color);
quiver3(centroid(1), centroid(2), -centroid(3), ... 
                         magnitude(1), magnitude(2), magnitude(3))
                             

referenceVectPos = [1 1 1];                  
referenceVect = [0 0 10];
quiver3(referenceVectPos(1),referenceVectPos(2),referenceVectPos(3), ...
                referenceVect(1), referenceVect(2), referenceVectPos(3));
            
            
                             
X1 = [2 3 3 2];
Y1 = [4 4 5 5];
Z1 = [5 5 3 3];


Vertical = [X1(1) Y1(1) Z1(1)] - [X1(4) Y1(4) Z1(4)];
Horizontal = [X1(1) Y1(1) Z1(1)] - [X1(2) Y1(2) Z1(2)];
centroid = [((X1(1) + X1(2))/2) ((Y1(1) + Y1(3))/2) mean(Z1)];
normal = cross(Vertical,Horizontal);
normal(3) = -normal(3);
magnitude = normal/norm(normal);
magnitude(3) = -magnitude(3);
% patch(X1,Y1,-Z1,[0 .5 0])
quiver3(1,1,1, ... 
                                 magnitude(1), magnitude(2),-magnitude(3))                             
quiver3(centroid(1), centroid(2), -centroid(3), ... 
                                 magnitude(1), magnitude(2),-magnitude(3))
                             
%                              
% %Angle between 1 and reference
dProd = dot(referenceVect,normal)
dMag = norm(normal)*norm(referenceVect)
theta = acosd(dProd/dMag)
if(theta >= 60 && theta < 75)
    color = [1 0 0];
end
%color gradient

patch(X1,Y1,-Z1,color);




                             